---
search:
  tags:
    - Themes
    - POST
seo:
  description: >-
    Uploads a new file asset (image, font, stylesheet, etc.) to the theme. Send…
    Reference for the POST /themes/{theme_id}/assets endpoint in the Bolder API
    v2.
sidebar:
  label: Upload a theme asset
  badge: POST
title: Upload a theme asset
type: openapi-operation
---
Uploads a new file asset (image, font, stylesheet, etc.) to the theme.
Send the file as a multipart/form-data upload.

`POST /themes/{theme_id}/assets`

**Request body** (`multipart/form-data`, required)

- `file` (string<binary>, required) — File to upload

Request body example:

```json
{
  "file": "string"
}
```

**Responses**

- `201` — Asset uploaded
- `401` — Unauthorized
- `403` — Access denied
- `422` — Validation error

Response example, 201:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "file_name": "logo.png",
  "content_type": "image/png",
  "file_size": 0,
  "digest": "string",
  "url": "string",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
